Aller au contenu

condenser_api.get_trade_history ​

Purpose ​

Retourne l'historique des échanges (trade) pour le marché interne SBD:STEEM. Paramètres : start:timestamp ; end:timestamp ; limit:int jusqu'à 1000

start (timestamp)end (timestamp)limit (int)
"2018-01-01T00:00:00""2018-01-02T00:00:00"10Interroge jusqu'à 10 échanges entre le 1er janvier 2018 et le 2 janvier 2018.

Voir aussi : market_history_api.get_trade_history

Parameters ​

PARAMETERS
json
[
  "1970-01-01T00:00:00",
  "1970-01-01T00:00:00",
  1000
]

Example ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_trade_history",
    "params": [
      "2018-01-01T00:00:00",
      "2018-01-02T00:00:00",
      10
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "date": "1970-01-01T00:00:00",
    "current_pays": "0.000 SBD",
    "open_pays": "0.000 STEEM"
  }
]